{
  "name": "task_management_app",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "dev": "next dev",
    "build": "next build",
    "start": "next start",
    "lint": "next lint"
  },
  "dependencies": {
    "@auth/mongodb-adapter": "^2.5.1",
    "@liveblocks/client": "^1.11.0",
    "@liveblocks/node": "^1.11.0",
    "@liveblocks/react": "^1.11.0",
    "@liveblocks/react-comments": "^1.11.0",
    "@liveblocks/yjs": "^1.11.0",
    "@tailwindcss/forms": "^0.5.7",
    "@tiptap/extension-collaboration": "^2.2.4",
    "@tiptap/extension-collaboration-cursor": "^2.2.4",
    "@tiptap/extension-placeholder": "^2.2.4",
    "@tiptap/extension-underline": "^2.2.4",
    "@tiptap/pm": "^2.2.4",
    "@tiptap/react": "^2.2.4",
    "@tiptap/starter-kit": "^2.2.4",
    "mongodb": "^6.5.0",
    "mongoose": "^8.2.4",
    "next": "14.1.4",
    "next-auth": "^4.24.7",
    "react": "^18",
    "react-dom": "^18",
    "react-icons": "^5.0.1",
    "react-sortablejs": "^6.1.4",
    "sortablejs": "^1.15.2",
    "uniqid": "^5.4.0",
    "y-prosemirror": "^1.2.3",
    "y-protocols": "^1.0.6",
    "yjs": "^13.6.14"
  },
  "devDependencies": {
    "@types/node": "^20",
    "@types/react": "^18",
    "@types/react-dom": "^18",
    "@types/uniqid": "^5.3.4",
    "autoprefixer": "^10.0.1",
    "eslint": "^8",
    "eslint-config-next": "14.1.4",
    "postcss": "^8",
    "tailwindcss": "^3.3.0",
    "typescript": "^5"
  }
}
